html {
    border: 0;
    padding: 0;
    margin: 0;

    font-family: sans-serif;

    --material-theme-primary: #20a4f3;
    --material-theme-secondary: #2ec4b6;
    --material-theme-background: #ffffff;
    --material-theme-on-primary: #ffffff;
    --material-theme-on-secondary: #000000;
    --material-theme-on-background: #000000;
    --material-theme-success: #4caf50;
    --material-theme-warning: #ff9800;
    --material-theme-info: #2196f3;
    --material-theme-error: #f44336;
    --material-theme-on-success: #ffffff;
    --material-theme-on-warning: #ffffff;
    --material-theme-on-info: #ffffff;
    --material-theme-on-error: #ffffff;
}

body {
    border: 0;
    padding: 0;
    margin: 0;
}

h1, h2, h3, h4, h5, h6 {
    margin: 0
}

@media print {
    .no-print {
        display: none;
    }
}

.center-layout {
    background-color: rgba(0, 0, 0, 0.5);
}

.downballotlayout-header-leading {
    display: none;
}

.downballotlayout-menu {
    display: flex;
    flex-direction: row;
    gap: 0.5em;
}

.main-layout {
    height: 100vh;
    min-width: 100%;
    width: max-content;
}

.main-layout-drawer {
    display: block;
}

.main-layout-drawer.visible {
    display: block;
}

.main-layout-header .material-app-bar-leading {
    display: none;
}

@media screen and (max-width: 900px) {
    .downballotlayout-header-leading {
        display: block;
    }

    .main-layout-header .material-app-bar-leading {
        display: block;
    }

    .main-layout-drawer {
        display: none;
    }
}

.main-layout-header {
}

.main-layout-body {
    display: flex;
    justify-content: flex-start;
}

.main-layout-drawer {
    padding: 1em;
    min-width: 150px;
}

.main-layout-content {
    flex: 1;
}

@media print {
    .main-layout-header {
        display: none;
    }

    .main-layout-drawer {
        display: none;
    }
}

.myui-button {
    display: inline-block;
    padding: 0.5em 1em;
    border-radius: 0.5em;
    background-color: var(--material-theme-primary);
    color: var(--material-theme-on-primary);
    cursor: pointer;
}

.myui-button:hover {
    filter: brightness(1.2);
}

.myui-button.disabled {
    filter: brightness(0.5);
    cursor: not-allowed;
    user-select: none;
}

.myui-button .myui-icon {
    margin-right: 0.5em;
}

.myui-button a {
    text-decoration: none;
    color: var(--material-theme-on-primary);
}

.myui-collapse {
}

.myui-collapse-label {
    display: flex;
    flex-direction: row;
}

@media print {
    .myui-collapse.closed {
        display: none;
    }
}

.myui-dialog-actions {
    display: flex;
    flex-direction: row;
}

.myui-icon {
    width: 1em;
    height: 1em;
}

.myui-input {
    display: flex;
    flex-direction: column;
    gap: 0.5em;
}

.myui-input-label {
    font-size: 0.8em;
    font-weight: bold;
}

.myui-input-input {
    padding: 0.5em;
    border-radius: 0.25em;
    border: 1px solid #dddddd;
}

.myui-input-input:focus {
    outline: none;
    border-color: var(--material-theme-primary);
}

.myui-input-input:hover {
    border-color: var(--material-theme-primary);
}

.myui-input-input:active {
    border-color: var(--material-theme-primary);
}

.myui-item {
    padding: 0.5em;
    cursor: pointer;
}

.myui-item:hover {
    background-color: white;
    filter: brightness(0.9);
}

.myui-item-icon {
    width: 1em;
    height: 1em;
    margin-right: 0.5em;
}

.myui-item-name {
}

.myui-multiselect {
    display: flex;
    flex-direction: column;
    gap: 0.5em;
}

.myui-multiselect-label {
    font-size: 0.8em;
    font-weight: bold;
}


.myui-page {
    padding: 1em;
    background-color: var(--material-theme-background);
    color: var(--material-theme-on-background);

    display: flex;
    flex-direction: column;
    gap: 1em;
}

.myui-statusbar {
    display: flex;
    align-items: center;
    gap: 0.5em;

    padding: 0.6em;
    border-radius: 0.5em;

    background-color: var(--material-theme-info);
    color: var(--material-theme-on-info);
}

.myui-statusbar.good {
    background-color: var(--material-theme-success);
    color: var(--material-theme-on-success);
}

.myui-statusbar.bad {
    background-color: var(--material-theme-error);
    color: var(--material-theme-on-error);
}

.myui-table {
    font-family: sans-serif;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.15); /* Adds a modern elevation effect */
}

.myui-table-title {
    padding: 0.5em;
    font-weight: bold;
    font-size: 1.1em;
}

.myui-table-actions {
    padding: 0.5em;
}

.myui-table table {
    border-collapse: collapse; /* Removes space between cell borders */
    font-size: 0.9em;
    width: 100%;
}

.myui-table table thead tr {
    background-color: var(--material-theme-secondary);
    color: var(--material-theme-on-secondary); 
    text-align: left;
}

.myui-table table th,
.myui-table table td {
    padding: 12px 15px; 
}

.myui-table table tbody tr {
    border-bottom: 1px solid #dddddd;
}

.myui-table table tbody tr:nth-of-type(even) {
    background-color: #f7f7f7; /* Zebra-striping for easier scanning */
}

.myui-table table tbody tr:last-of-type {
}

.myui-table table tbody tr:hover {
    background-color: #f1f1f1; /* Visual cue when interacting with rows */
}

.myui-table-pagination {
    padding: 0.5em;
    display: flex;
}

@media print {
    .myui-table {
        box-shadow: none;
    }

    .myui-table-pagination {
        display: none;
    }

    .myui-table table tbody td {
        padding-top: 2em;
        padding-bottom: 2em;
    }
}

.material-app-bar {
    display: flex;
    gap: 0.5em;
    justify-content: space-between;
    align-items: left;
    width: 100%;
    box-sizing: border-box;
    padding: 0.5em;
    background-color: var(--material-theme-primary);
    color: var(--material-theme-on-primary);
    font-size: 1.5em;
}

.material-app-bar-leading {
    display: flex;
    align-items: center;
    justify-content: center;
}

.material-app-bar-content {
    flex: 1;
}

.material-app-bar-headline {
    font-weight: bold;
}

.material-app-bar-headline-text {
}

.material-app-bar-subtitle {
    font-size: 0.8em;
}

.material-app-bar-subtitle-text {
    font-size: 1em;
    font-weight: normal;
}

.material-app-bar-trailer {
}

.login-page-actions {
    display: flex;
    flex-direction: row;
}